Get SMS provider settings for an environment
GET
/v1/environments/{envId}/sms-settings
const url = 'https://your-notavia-host/v1/environments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sms-settings';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-notavia-host/v1/environments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sms-settings \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” envId
required
string format: uuid
Responses
Section titled “ Responses ”SMS settings.
Media type application/json
object
id
string format: uuid
kind
string
from_number
string
from_sender_id
string
credentials_validated
boolean
credentials_validated_at
string format: date-time
Example
{ "kind": "Managed"}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}